/* Calibration from run188 (after turning the wheel back) 
   Values for LaBr taken from run 203*/

/* For third order polynomial calibration */
static const double cubic_labr_h[] = {
 8.40875e-09,  5.9867e-08,  3.59926e-08,  8.44319e-09,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_labr_h[] = {
   -0.000120034,  -0.000226686,  -0.000244379,  -1.05906e-05,0,0,0
};

/* Slopes */
static const double slopes_labr_h[] = {
     1.38785,  1.32353,  1.6587,  1.10097,0,0,0
};

/* Offsets */
static const double offsets_labr_h[] = {
       -83.6641,  -57.9463,  -164.02,  24.689,0,0,0
};

/* HPGE */

/* For linear calibration */
static const double cubic_hpge[] = {
       0,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_hpge[] = {
	0,0,0,0
};

static const double slopes_hpge[] = {
  1.33124,  0.859782,  0.882198,  0.901913
};

static const double offsets_hpge[] = {
  -2.80942,  -1.10406,  -2.6934,  -1.58955
};

static const double offsets_labr_l[] = {
	0,0,0,0,
	0,0,0,0
};

static const double slopes_labr_l[] = {
  1, 1, 1, 1,
  1, 1, 1, 1
};

/* Thresholds for ghost */
static const double thr_labr_h[] = {
	10, 10, 10, 10,
	143, 130, 170, 5000
};

static const double thr_labr_l[] = {
	50, 50, 50, 50,
	50, 60, 50, 50
};

static const double thr_labr_sis[] = {
	500, 600, 500, 550
	//200, 200, 200, 250
};

static const double thr_hpge[] = {
	20000, 40000, 20000, 8000
};

static const double thr_hpge_mesy[] = {
	36, 50, 50, 36, 36
};

// Condition 1 for labr
static const float labr_w1[] = {50,80 , 50,75, 50,70, 55,75};
// Condition 2 for labr
static const float labr_w2[] = {80,130, 80,130, 80,130, 80,130};
// Condition 3 for labr (coincidence with HPGe)
static const float labr_w3[] = {135,142, 133,140, 137,144, 140,147};
// Condition 1 for hpge
static const float hpge_w1[] = {110,160, 130,170, 110,170, 120,160};
// For the self trigger peak
static const float labr_t_min[] = {-200,-200,-200,-200};
static const float labr_t_max[] = {200,200,200,200};
static const float hpge_t_min[] = {-200,-200,-200,-200};
static const float hpge_t_max[] = {200,200,200,200};



