/* Calibration from run188 (after turning the wheel back) 
   Values for LaBr taken from run 203*/



/* For third order polynomial calibration */
static const double cubic_labr_h[] = {
  3.33307e-08,  4.47286e-09,  3.05756e-08,  1.0021e-08,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_labr_h[] = {
  -0.000271028,  3.41238e-06,  -0.000257483,  -4.02649e-05,0,0,0
};

/* Slopes */
static const double slopes_labr_h[] = {
  1.65949,  1.06693,  1.77151,  1.21419,0,0,0
};

/* Offsets */
static const double offsets_labr_h[] = {
  -256.494,  -5.62885,  -232.561,  -31.8345,0,0,0
};

/* HPGE */

/* For linear calibration */
static const double cubic_hpge[] = {
       0,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_hpge[] = {
	0,0,0,0
};

static const double slopes_hpge[] = {
  1.33004,  0.860138,  0.882621,  0.919305
};

static const double offsets_hpge[] = {
  -1.46152,  -0.781892,  -0.189353,  -0.937824
};

static const double offsets_labr_l[] = {
	0,0,0,0,
	0,0,0,0
};

static const double slopes_labr_l[] = {
  1, 1, 1, 1,
  1, 1, 1, 1
};

/* Thresholds for ghost */
static const double thr_labr_sis[] = {
	500, 600, 500, 550
	//200, 200, 200, 250
};

static const double thr_labr_h[] = {
	10, 10, 10, 10,
	143, 130, 170, 5000
};

static const double thr_labr_l[] = {
	50, 50, 50, 50,
	50, 60, 50, 50
};

static const double thr_hpge[] = {
	20000, 40000, 20000, 8000
};

static const double thr_hpge_mesy[] = {
	36, 50, 50, 36, 36
};

// Condition 1 for labr
static const float labr_w1[] = {50,80 , 50,75, 50,70, 55,75};
// Condition 2 for labr
static const float labr_w2[] = {80,130, 80,130, 80,130, 80,130};
// Condition 3 for labr (coincidence with HPGe)
static const float labr_w3[] = {135,142, 133,140, 137,144, 140,147};
// Condition 1 for hpge
static const float hpge_w1[] = {110,160, 130,170, 110,170, 120,160};
// For the self trigger peak
static const float labr_t_min[] = {-200,-200,-200,-200};
static const float labr_t_max[] = {200,200,200,200};
static const float hpge_t_min[] = {-200,-200,-200,-200};
static const float hpge_t_max[] = {200,200,200,200};



