/* Calibration from run188 (after turning the wheel back) 
   Values for LaBr taken from run 203*/



/* For third order polynomial calibration */
static const double cubic_labr_h[] = {
  -7.89306e-07,  -7.05249e-07,  -3.97754e-07,  -5.99271e-07,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_labr_h[] = {
    0.00279409,  0.00267205,  0.00130715,  0.00228672,0,0,0
};

/* Slopes */
static const double slopes_labr_h[] = {
      0.0883488,  -0.0248361,  1.41462,  0.2436,0,0,0
};

/* Offsets */
static const double offsets_labr_h[] = {
        833.494,  840.756,  576.884,  799.176,0,0,0
};

/* HPGE */



/* For linear calibration */
static const double cubic_hpge[] = {
       0,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_hpge[] = {
	0,0,0,0
};

static const double slopes_hpge[] = {
  1.54898,  1.49355,  1.45401,  1.57441
};

static const double offsets_hpge[] = {
    -0.156655,  1.63487,  -11.087,  -3.92396
};

static const double offsets_labr_l[] = {
	0,0,0,0,
	0,0,0,0
};

static const double slopes_labr_l[] = {
  1, 1, 1, 1,
  1, 1, 1, 1
};

/* Thresholds for ghost */
static const double thr_labr_sis[] = {
	500, 600, 500, 550
	//200, 200, 200, 250
};

static const double thr_labr_h[] = {
	10, 10, 10, 10,
	143, 130, 170, 5000
};

static const double thr_labr_l[] = {
	50, 50, 50, 50,
	50, 60, 50, 50
};

static const double thr_hpge[] = {
	20000, 40000, 20000, 8000
};

static const double thr_hpge_mesy[] = {
	36, 50, 50, 36, 36
};

// Condition 1 for labr
static const float labr_w1[] = {50,80 , 50,75, 50,70, 55,75};
// Condition 2 for labr
static const float labr_w2[] = {80,130, 80,130, 80,130, 80,130};
// Condition 3 for labr (coincidence with HPGe)
static const float labr_w3[] = {135,142, 133,140, 137,144, 140,147};
// Condition 1 for hpge
static const float hpge_w1[] = {0,50, 130,170, 110,170, 120,160};
// For the self trigger peak
static const float labr_t_min[] = {-200,-200,-200,-200};
static const float labr_t_max[] = {200,200,200,200};
static const float hpge_t_min[] = {-200,-200,-200,-200};
static const float hpge_t_max[] = {200,200,200,200};



