/* Calibration from run188 (after turning the wheel back) 
   Values for LaBr taken from run 203*/



/* For third order polynomial calibration */
static const double cubic_labr_h[] = {
  1.50377e-07,  1.55078e-07,  3.17265e-07,  1.34051e-07,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_labr_h[] = {
    -0.00027665,  -0.000183916,  -0.00114925,  -0.000281949,0,0,0
};

/* Slopes */
static const double slopes_labr_h[] = {
      3.12993,  2.87789,  3.88872,  2.97356,0,0,0
};

/* Offsets */
static const double offsets_labr_h[] = {
        -12.4651,  -17.9229,  -117.24,  -16.6644,0,0,0
};

/* HPGE */



/* For linear calibration */
static const double cubic_hpge[] = {
       0,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_hpge[] = {
	0,0,0,0
};

static const double slopes_hpge[] = {
  1.54356,  1.49179,  1.43177,  1.5425
};

static const double offsets_hpge[] = {
    2.29496,  -0.287882,  8.12515,  14.6388
};

static const double offsets_labr_l[] = {
	0,0,0,0,
	0,0,0,0
};

static const double slopes_labr_l[] = {
  1, 1, 1, 1,
  1, 1, 1, 1
};

/* Thresholds for ghost */
static const double thr_labr_sis[] = {
	500, 600, 500, 550
	//200, 200, 200, 250
};

static const double thr_labr_h[] = {
	10, 10, 10, 10,
	143, 130, 170, 5000
};

static const double thr_labr_l[] = {
	50, 50, 50, 50,
	50, 60, 50, 50
};

static const double thr_hpge[] = {
	20000, 40000, 20000, 8000
};

static const double thr_hpge_mesy[] = {
	36, 50, 50, 36, 36
};

// Condition 1 for labr
static const float labr_w1[] = {50,80 , 50,75, 50,70, 55,75};
// Condition 2 for labr
static const float labr_w2[] = {80,130, 80,130, 80,130, 80,130};
// Condition 3 for labr (coincidence with HPGe)
static const float labr_w3[] = {135,142, 133,140, 137,144, 140,147};
// Condition 1 for hpge
static const float hpge_w1[] = {115,150, 130,170, 0,50, 120,160};
// For the self trigger peak
static const float labr_t_min[] = {-200,-200,-200,-200};
static const float labr_t_max[] = {200,200,200,200};
static const float hpge_t_min[] = {-200,-200,-200,-200};
static const float hpge_t_max[] = {200,200,200,200};



