#include "TFile.h"
#include "TTree.h"
#include "TCanvas.h"
#include "TTimer.h"
#include "TGFrame.h"
#include "TRootEmbeddedCanvas.h"
#include "RQ_OBJECT.h"

#define FILENAME "/tmp/test.root"

class TreeReader {

  RQ_OBJECT("TreeReader");

public:

TreeReader() {
  TFile* file = new TFile(FILENAME,"READ");
  f = file;
  ntuple = (TTree*)f->Get("h101");
  
  frame = new TGMainFrame(gClient->GetRoot(),400,400);
  
  ec = new TRootEmbeddedCanvas("canvas",frame,1200,900);
  ec->GetCanvas()->Divide(4,3);

  frame->AddFrame(ec, new TGLayoutHints(kLHintsExpandX | kLHintsExpandY, 10, 10, 10, 1));
  frame->MapSubwindows();
  frame->Resize(frame->GetDefaultSize());
  frame->MapWindow();
   
  first = 0; 
  
  t1 = new TTimer();
  t1->Connect("Timeout()","TreeReader",this,"draw()");
  t1->Start(1000);
}

~TreeReader() {
  f->Close();
  delete f;
  f = 0;
  frame->Cleanup();
  delete frame;
} 

void draw() {
    if(ntuple->fDirectory->ReadKeys() == 0) {
      // Reset, if we cannot find our keys
      printf("Resetting...\n");
      f->Close();
      delete f;
      f = new TFile(FILENAME,"READ");
      ntuple = (TTree*)f->Get("h101");
      first = 0;
    }
    ntuple->Refresh();
    TCanvas* c1 = ec->GetCanvas();
    if (first == 0) {
      c1->cd(1);
      ntuple->Draw("LABR1EHIGH>>h1(1000,0,1000)", "","",10000000,first);
      c1->cd(2);
      ntuple->Draw("LABR2EHIGH>>h2(1000,0,1000)", "","",10000000,first);
      c1->cd(3);
      ntuple->Draw("LABR3EHIGH>>h3(1000,0,1000)", "","",10000000,first);
      c1->cd(4);
      ntuple->Draw("LABR4EHIGH>>h4(1000,0,1000)", "","",10000000,first);
      c1->cd(5);
      ntuple->Draw("LABR5EHIGH>>h5(1000,0,1000)", "","",10000000,first);      
      c1->cd(6);
      ntuple->Draw("LABR6EHIGH>>h6(1000,0,1000)", "","",10000000,first);      
      c1->cd(7);
      ntuple->Draw("LABR7EHIGH>>h7(1000,0,1000)", "","",10000000,first);      
      c1->cd(8);
      ntuple->Draw("LABR8EHIGH>>h8(1000,0,1000)", "","",10000000,first);
      c1->cd(9);
      ntuple->Draw("HPGE1E-HPGE1B>>h9(1000,0,10000)", "","",10000000,first);
      c1->cd(10);
      ntuple->Draw("HPGE2E-HPGE2B>>h10(1000,0,10000)", "","",10000000,first);
      c1->cd(11);
      ntuple->Draw("HPGE3E-HPGE3B>>h11(1000,0,10000)", "","",10000000,first);
      c1->cd(12);
      ntuple->Draw("HPGE4E-HPGE4B>>h12(1000,0,10000)", "","",10000000,first);

    }
    else {
      c1->cd(1);
      ntuple->Draw("LABR1EHIGH>>+h1","","",10000000,first);
      c1->cd(2);
      ntuple->Draw("LABR2EHIGH>>+h2", "","",10000000,first);
      c1->cd(3);
      ntuple->Draw("LABR3EHIGH>>+h3", "","",10000000,first);
      c1->cd(4);
      ntuple->Draw("LABR4EHIGH>>+h4", "","",10000000,first);
      c1->cd(5);
      ntuple->Draw("LABR5EHIGH>>+h5", "","",10000000,first);      
      c1->cd(6);
      ntuple->Draw("LABR6EHIGH>>+h6", "","",10000000,first);      
      c1->cd(7);
      ntuple->Draw("LABR7EHIGH>>+h7", "","",10000000,first);      
      c1->cd(8);
      ntuple->Draw("LABR8EHIGH>>+h8", "","",10000000,first);
      c1->cd(9);
      ntuple->Draw("HPGE1E-HPGE1B>>+h9", "","",10000000,first);
      c1->cd(10);
      ntuple->Draw("HPGE2E-HPGE2B>>+h10", "","",10000000,first);
      c1->cd(11);
      ntuple->Draw("HPGE3E-HPGE3B>>+h11", "","",10000000,first);
      c1->cd(12);
      ntuple->Draw("HPGE4E-HPGE4B>>+h12", "","",10000000,first);


    }
    first = (Int_t)ntuple->GetEntries();
    c1->Update();
}


TTimer* t1;
TFile* f;
TTree* ntuple;
Int_t first;
TGMainFrame* frame;
TRootEmbeddedCanvas* ec;

};

void treer() {
  new TreeReader();
  //gPad->AddExec("myexec","myexec()");
}
